/// Model to hold information about a single Hamachi network
///
class HamachiNetwork {
  /// id corresponds to the hamachi network id (222-222-222)
  String id;

  /// name corresponds to the name of the hamachi network (network1)
  String name;

  /// capacity describes the current capacity of the network (3/5)
  String capacity;

  /// type describes the type of network (Free/Standard)
  String type;

  /// owner corresponds to the owner of the network (owner@email.com)
  String owner;

  /// Constructor
  ///
  HamachiNetwork();

  /// Creates a HamachiNetwork object from a regex match
  ///
  factory HamachiNetwork.fromMatch(RegExpMatch match) {
    var network = HamachiNetwork();
    network.id = match.namedGroup('id');
    network.name = match.namedGroup('name').trim();
    network.capacity = match.namedGroup('capacity').trim();
    network.type = match.namedGroup('type').trim();
    network.owner = match.namedGroup('owner').trim();
    // print('\n ${network}');
    return network;
  }
  @override
  String toString() {
    return 'HamachiNetwork: ${id} ${name} ${capacity} ${type} ${owner}';
  }
}
